/**
 * @brief Test DIAG algorithms based on FEAST library.
 * 
 * @author Yunhai Li (liyunhai1016@hotmail.com)
 * 
 * @copyright Copyright (c) 2025, TBPLaS develop team.
 */
#ifndef TBPLAS_TESTS_DIAG_FEAST_H
#define TBPLAS_TESTS_DIAG_FEAST_H
namespace tbplas::tests {

void test_diag_bands_feast();
void test_diag_dos_feast();
void test_diag_ldos_feast();
void test_spin_feast();
void test_diag_bands_tbg();

} // namespace tbplas::tests
#endif